### Method

# Gcr Certificate get_fingerprint

#### Declaration [src]

    guchar*
    gcr_certificate_get_fingerprint (
      GcrCertificate* self,
      GChecksumType type,
      gsize* n_length
    )

#### Description [src]

Calculate the fingerprint for this certificate.

The caller should free the returned data using `g_free()` when it is no longer required.

#### Parameters

`type` | `GChecksumType`
| The type of algorithm for the fingerprint.
`n_length` | `gsize*`
| The length of the resulting fingerprint.
| The argument will be set by the function.

#### Return value

Returns: | An array of `guchar`
| The raw binary fingerprint.
| The length of the array is in the `n_length` argument.
| The data is owned by the instance.
| The return value can be `NULL`.